function [model, trainerr] = train(model, urbilder, bilder, sampleclass, trainparams, eps, varargin)

% function [model, trainerr] = train(model, urbilder, bilder, sampleclass, trainparams, eps, (sampleweights))
%
%
% Christian Merkwirth 2002

global entooldrawit

if isempty(trainparams)
   trainparams = get(model, 'trainparams');
end

nr_samples = length(bilder);

[indtrain, indtest] = dissemble(sampleclass, nr_samples);

Ntrain = length(indtrain);
Ntest = length(indtest);


model.a = mean(bilder(indtrain));	% the naive predictor: the mean of the outputs

trainerr = relepsinloss(bilder(indtrain), repmat(model.a, Ntrain,1), eps);

model.trainparams = trainparams;
model.eps = eps;
