function value = get(model, param)

% function value = get(model, param)
%
% Assess properties of linear object.
%
% Christian Merkwirth 2002

value = [];

switch(lower(param))
 	case 'trainparams'
   	value = model.trainparams;
       
      if isempty(value)
         value.repetitions = 10;
         value.frac_leave_out = 0.10;
         value.remove_worst = 0.33;		% remove this fraction of the models according to their error	
      end
	case 'eps'
      value = model.eps;
   otherwise
      warning(['Parameter ' param ' is not element of class linear'])
end
