function value = get(model, param)

% function value = get(model, param)
%
% Assess properties of polynomial object.
%
% Christian Merkwirth 2002

value = [];

switch(lower(param))
 	case 'trainparams'
   	value = model.trainparams;
       
      if isempty(value)
         value.maxrounds = 25;
         value.tolerance = 0.001;
         value.suppress = 0.001;
      end
	case 'eps'
      value = model.eps;
   otherwise
      warning(['Parameter ' param ' is not element of class linear'])
end
