function [nn, d, querypoints] = calcnn(atria, urbilder)

% function [nn, d, querypoints] = calcnn(atria, urbilder)
%
% Christian Merkwirth 2002

if isempty(urbilder)
   querypoints = atria.dataset;
   [nn,d] = nn_search(atria.dataset, atria.searcher, 1:size(atria.dataset, 1), atria.k, atria.trainparams.exclude);
else
	querypoints = urbilder .* repmat(atria.metric, size(urbilder, 1), 1);
	[nn,d] = nn_search(atria.dataset, atria.searcher, querypoints, atria.k); 
end
