function y = calc(model, urbilder)

% y = calc(model, urbilder)
%
% Christian Merkwirth 2002

N = size(urbilder,1);

x = ones(N,1);
        
for i=1:length(model.splitdims)
   xn = create_basisfunction(urbilder, model.splitdims{i}, ...
            model.splitsites{i}, model.splitdirs{i}); 
   x = [x xn]; 
end

y = x * model.coefficients;
