function value = get(model, param)

% function value = get(model, param)
%
% Access properties of cvensemble object.
%
% Christian Merkwirth 2002

value = [];

switch(lower(param))
	case 'trainparams'
      value = get(model.ensemble, 'trainparams');
      
		if isempty(value)
			value.nr_cv_partitions = 10;
            value.frac_test = 0.20;
         
            value.modelclasses = {'vicinal', [], {}; };
            value.scaledata = 1;        % set to zero to turn all intern scaling off!
		end
   otherwise
      value = get(model.ensemble, param);
      %warning(['Parameter ' param ' is not element of class ' class(model)])
end

