function value = get(model, param)

% function value = get(model, param)
%
% Assess properties of linear object.
%
% Christian Merkwirth 2002

value = [];

switch(lower(param))
 	case 'trainparams'
   	value = model.trainparams;
       
      if isempty(value)
         value.conf = settrain;
         value.conf.D = 0.005;		% weigth decay parameter
         value.conf.maxiter = 100;
         value.range = 0.9;
      end
	case 'eps'
      value = model.eps;
   otherwise
      warning(['Parameter ' param ' is not element of class perceptron'])
end
