function A = monomvalues(monoms, urbilder)

% function A = monomvalues(monoms, urbilder)
%
% Christian Merkwirth 2002

[N,D] = size(urbilder);
[nr_monoms, D] = size(monoms);

A = zeros(N, nr_monoms);

for i=1:nr_monoms
   A(:,i) = prod(urbilder.^repmat(monoms(i,:), N,1), 2); 
end   
