function value = get(model, param)

% function value = get(model, param)
%
% Assess properties of prbf object.
%
% Christian Merkwirth 2002

value = [];

switch(lower(param))
 	case 'trainparams'
   	value = model.trainparams;
       
      if isempty(value)
         opts.verbose = 0;	
			opts.err_tar = -1;  % 0.01;
			% This output type is logsig, the second option is linear and it is 2.
			opts.output_type = 2;
			% perceptron hidden type in this case logsig
			opts.hid_type=1;
         opts.max_iters = 150;
         opts.max_iters1 = 10;
         opts.prune_val = 0.9; 
         
         value = opts;
      end
	case 'eps'
      value = model.eps;
   otherwise
      warning(['Parameter ' param ' is not element of class linear'])
end
