function value = get(model, param)

% function value = get(model, param)
%
% Assess properties of ensemble object.
%
% Christian Merkwirth 2002

value = [];

switch(lower(param))
	case 'k'
      value = model.k;
   case 'type'
      value = model.type;
   case 'metric'
      value = model.metric;
   case 'searcher'
      value = model.searcher;
   case 'dataset'
      value = model.dataset;
   case 'images'
      value = model.images;
 	case 'trainparams'
   	value = model.trainparams;
       
      if isempty(value)
      	value.nr_models = 1;
         value.outer = 10;		
			value.initpopsize = 50;
			value.nr_quants = 5;
			value.nr_elitist = 2;
			value.exclude = 0; 
            value.dimension_exponent = 0.5;
       end
	case 'eps'
      value = model.eps;
   otherwise
      warning(['Parameter ' param ' is not element of class vicinal'])
end
